EvChild::set
EvEmbed::__construct
Ev
PHP Manual

# The EvEmbed class

(PECL ev >= 0.2.0)

## Introduction

Used to embed one event loop into another.

## Class synopsis

EvEmbed extends EvWatcher {
/* Properties */
public $embed ;
/* Methods */
public __construct ( object `$other` [, callable `$callback` [, mixed `$data` [, int `$priority` ]]] )
final public static void createStopped ( object `$other` [, callable `$callback` [, mixed `$data` [, int `$priority` ]]] )
public void set ( object `$other` )
public void sweep ( void )
/* Inherited methods */
public int EvWatcher::clear ( void )
abstract public EvWatcher::__construct ( void )
public void EvWatcher::feed ( int `$revents` )
public EvLoop EvWatcher::getLoop ( void )
public void EvWatcher::invoke ( int `$revents` )
public bool EvWatcher::keepalive ([ bool `$value` ] )
public void EvWatcher::setCallback ( callable `$callback` )
public void EvWatcher::start ( void )
public void EvWatcher::stop ( void )
}

## Properties

is_active

data

is_pending

priority

embed

## Table of Contents

- EvEmbed::__construct — Constructs the EvEmbed object
- EvEmbed::createStopped — Create stopped EvEmbed watcher object
- EvEmbed::set — Configures the watcher
- EvEmbed::sweep — Make a single, non-blocking sweep over the embedded loop.

EvChild::set
EvEmbed::__construct
Ev
PHP Manual